#!/bin/bash
# Split out, so build_kernel.sh and build_deb.sh can share..

echo "Starting patch.sh"

function git_add {
git add .
git commit -a -m 'Testing patchset'
}

patch -s -p1 < "${DIR}/patches/rcn/bug16310.diff"

#git revert --no-edit ed8303fc111e58530e22bd29b0d7e08dced75999
patch -s -p1 < "${DIR}/patches/rcn/regression-disable-wp.diff"

function dss2 {
echo "dss2 patches"
patch -s -p1 < ${DIR}/patches/dss2/DSS2-overo-fixup.patch
patch -s -p1 < ${DIR}/patches/dss2/reboot-fix.diff
patch -s -p1 < "${DIR}/patches/dss2/OMAP2-OMAPFB-Fix-invalid-bpp-for-PAL-and-NTSC-modes.patch"
}

function musb {
echo "musb patches"
patch -s -p1 < "${DIR}/patches/musb/force-fifo_mode-5.diff"
}

function vfp {
echo "vfp patches"

}

function micrel {
echo "micrel patches"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/01_eeprom_93cx6_2.6.35.patch"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/02_eeprom_93cx6_2.6.35.patch"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/03_ksz8851_2.6.35.patch"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/04_ksz8851_2.6.35.patch"

patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/06_ksz8851_2.6.35.patch"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/07_ksz8851_2.6.35.patch"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/08_ksz8851_2.6.35.patch"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/09_ksz8851_2.6.35.patch"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/10_ksz8851_2.6.35.patch"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/11_ksz8851_2.6.35.patch"
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/12_ksz8851_2.6.35.patch"

patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/15_ksz8851_2.6.35.patch"

patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/18_ksz8851_2.6.35.patch"

#noticed by cwillu july 18th
patch -s -p1 < "${DIR}/patches/micrel/linux-2.6.35/null-pointer-memory-leak.patch"
}

function zippy {
echo "zippy support"
patch -s -p1 < ${DIR}/patches/angstrom/0003-ARM-OMAP-add-support-for-TCT-Zippy-to-Beagle-board-fixup.patch
patch -s -p1 < ${DIR}/patches/angstrom/0043-ARM-OMAP-beagleboard-Add-infrastructure-to-do-fixups-fixup.patch
patch -s -p1 < ${DIR}/patches/rcn/beagle-zippy-dont-load-i2c-on-boards-with-nozippy.diff
}

function xm {
echo "early xm support"
patch -s -p1 < ${DIR}/patches/xm/xm-dvi-ehci-support.diff
patch -s -p1 < ${DIR}/patches/xm/sakoman/0001-ARM-OMAP-Add-macros-for-comparing-silicon-revision.patch
patch -s -p1 < ${DIR}/patches/xm/sakoman/0001-OMAP-DSS2-check-for-both-cpu-type-and-revision-rathe.patch
patch -s -p1 < ${DIR}/patches/xm/sakoman/0001-OMAP-DSS2-enable-hsclk-in-dsi_pll_init-for-OMAP36XX.patch
patch -s -p1 < "${DIR}/patches/arago-project/0001-omap3-Increase-limit-on-bootarg-mpurate.patch"
patch -s -p1 < "${DIR}/patches/arago-project/0001-AM37x-Switch-SGX-clocks-to-200MHz.patch"
patch -s -p1 < "${DIR}/patches/xm/0001-OMAP-omap3630-based-xm-has-no-mmc-wp-line.patch"
}


function nand {
echo "new nand interface"
patch -s -p1 < ${DIR}/patches/nand/0001-ARM-OMAP-Beagle-use-new-gpmc-nand-infrastructure-fixup.patch
patch -s -p1 < ${DIR}/patches/nand/0001-ARM-OMAP-Overo-use-new-gpmc-nand-infrastructure.patch
}

function sgx {
echo "merge in ti sgx modules"
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-Merge-TI-3.01.00.02-Kernel-Modules.patch
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-setup-staging-makefile.patch
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-TI-3.01.00.02-mach-to-plat.diff
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-Kconfig-updates.diff
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-TI-3.01.00.02-update-bufferclass_ti-Kbuild.diff
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-TI-3.01.00.02-update-bufferclass_ti-kfree-kmalloc.diff
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-TI-3.01.00.02-update-dc_omap3430_linux-Kbuild.diff
#3.01.00.06
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-Merge-TI-3.01.00.06-into-TI-3.01.00.02.patch
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-TI-3.01.00.06-update-bufferclass_ti-kfree-kmalloc.diff
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-TI-3.01.00.06-2.6.32-PSP.diff
patch -s -p1 < ${DIR}/patches/sgx/0001-OMAP3-SGX-TI-3.01.00.06-use-omap3630.diff
}

function dsp {
echo "merge in dspbridge"

#pulled from staging-next

patch -s -p1 < "${DIR}/patches/dspbridge/0001-staging-ti-dspbridge-add-driver-documentation.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0002-staging-ti-dspbridge-add-core-driver-sources.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0003-staging-ti-dspbridge-add-platform-manager-code.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0004-staging-ti-dspbridge-add-resource-manager.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0005-staging-ti-dspbridge-add-MMU-support.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0006-staging-ti-dspbridge-add-generic-utilities.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0007-staging-ti-dspbridge-add-services.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0008-staging-ti-dspbridge-add-DOFF-binaries-loader.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0009-staging-ti-dspbridge-add-header-files.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0010-staging-ti-dspbridge-add-TODO-file.patch" 

#patch -s -p1 < "${DIR}/patches/dspbridge/0011-staging-ti-dspbridge-enable-driver-building.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0011-staging-ti-dspbridge-enable-driver-building-2.6.35-fixup.patch"

patch -s -p1 < "${DIR}/patches/dspbridge/0012-staging-ti-dspbridge-remove-contributor-leftovers.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0013-staging-ti-dspbridge-deh-trivial-cleanups.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0014-staging-ti-dspbridge-mmufault-trivial-cleanups.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0015-staging-ti-dspbridge-deh-free-dummy-page-immediately.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0016-staging-ti-dspbridge-remove-unused-code.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0017-staging-ti-dspbridge-mmu-add-hw_mmu_tlb_flush_all.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0018-staging-ti-dspbridge-deh-ensure-only-tlb-0-is-enable.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0019-staging-ti-dspbridge-deh-refactor-in-mmu_fault_print.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0020-staging-ti-dspbridge-deh-remove-get_info.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0021-staging-ti-dspbridge-deh-remove-err_info.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0022-staging-ti-dspbridge-access-deh-directly.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0023-staging-ti-dspbridge-move-mmufault-to-deh.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0024-staging-ti-dspbridge-deh-tidying-up.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0025-staging-ti-dspbridge-deh-update-copyright-notice.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0026-staging-ti-dspbridge-prefix-configs-with-TIDSPBRIDGE.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0027-staging-ti-dspbridge-improve-Kconfig.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0028-staging-ti-dspbridge-use-_DEBUG-for-debug-trace.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0029-staging-ti-dspbridge-add-_BACKTRACE-config.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0030-staging-tidspbridge-gen-simplify-and-clean-up.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0031-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0032-staging-ti-dspbridge-fix-compilation-error.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0033-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0034-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0035-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0036-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0037-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0038-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0039-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0040-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0041-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0042-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0043-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0044-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0045-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0046-staging-ti-dspbridge-Rename-words-with-camel-case.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0047-staging-ti-dspbridge-make-variables-in-prototypes-ma.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0048-staging-tidspbridge-remove-custom-TRUE-FALSE.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0049-staging-tidspbridge-no-need-for-custom-NULL.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0050-staging-tidspbridge-remove-std.h.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0051-staging-tidspbridge-remove-custom-typedef-reg_uword3.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0052-staging-tidspbridge-remove-RET_OK-RET_FAIL.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0053-staging-tidspbridge-check-kmalloc-result.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0054-staging-tidspbridge-remove-GlobalTypes.h.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0055-staging-tidspbridge-replace-CONST-with-c-standard-co.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0056-staging-tidspbridge-remove-IN-modifier.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0057-staging-tidspbridge-remove-OPTIONAL.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0058-staging-tidspbridge-remove-OUT-define.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0059-staging-tidspbridge-remove-dbdefs.h.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0060-staging-tidspbridge-Remove-Redundant-wrappers.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0061-staging-tidspbridge-Remove-redundant-macros-in-io_sm.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0062-staging-tidspbridge-Change-macros-to-static-inline-f.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0063-staging-tidspbridge-Change-macros-to-static-inline-f.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0064-staging-tidspbridge-Remove-redundant-macro-from-cod..patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0065-staging-tidspbridge-Remove-unused-magic-number.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0066-staging-tidspbridge-Remove-macros-used-as-cast.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0067-staging-tidspbridge-Change-macros-to-static-inline-f.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0068-staging-tidspbridge-Remove-unused-macros.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0069-staging-ti-dspbridge-remove-unused-typedef-REG16.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0070-staging-ti-dspbridge-remove-unnecessary-check-for-NU.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0071-staging-ti-dspbridge-remove-function-delete_strm_mgr.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0072-staging-ti-dspbridge-remove-unnecessary-volatile-var.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0073-staging-ti-dspbridge-replace-simple_strtoul-by-stric.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0074-staging-ti-dspbridge-remove-DSP_SUCCEEDED-macro-from.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0075-staging-ti-dspbridge-remove-DSP_SUCCEEDED-macro-from.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0076-staging-ti-dspbridge-remove-DSP_SUCCEEDED-macro-from.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0077-staging-ti-dspbridge-remove-DSP_SUCCEEDED-macro-from.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0078-staging-ti-dspbridge-remove-DSP_SUCCEEDED-macro-defi.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0079-staging-ti-dspbridge-remove-DSP_FAILED-macro-from-co.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0080-staging-ti-dspbridge-remove-DSP_FAILED-macro-from-pm.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0081-staging-ti-dspbridge-remove-DSP_FAILED-macro-from-rm.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0082-staging-ti-dspbridge-remove-DSP_FAILED-macro-from-se.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0083-staging-ti-dspbridge-remove-DSP_FAILED-macro-definit.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0084-staging-ti-dspbridge-fix-bridge_brd_stop-so-IVA2-is-.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0085-staging-ti-dspbridge-proc_load-start-should-set-IVA2.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0086-staging-ti-dspbridge-make-sure-IVA2-is-OFF-when-dev-.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0087-staging-ti-dspbridge-remove-bridge_brd_delete-functi.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/0088-staging-ti-dspbridge-remove-find_gcf-from-nldr.c.patch"


#from dev.omapzoom.org
#patch -s -p1 < "${DIR}/patches/dspbridge/dev.omapzoom.org/0001-OUT-OF-TREE-tidspbridge-move-platform_device_registe.patch"
patch -s -p1 < "${DIR}/patches/dspbridge/dev.omapzoom.org/0001-OUT-OF-TREE-tidspbridge-move-platform_device_registe-2.6.35-fixup.patch"
}

function panda {
echo "merge in panda support"
patch -s -p1 < "${DIR}/patches/panda/0001-omap4-Add-OMAP4-Panda-Support.patch"
}

function btrfs {
echo "merge in latest btrfs support"
}

function igepv2 {
echo "igepv2 board related patches"
patch -s -p1 < "${DIR}/patches/igepv2/0001-ARM-OMAP3-Add-S-Video-output-to-IGEPv2-board.patch"
}

function devkit8000 {
echo "devkit8000 board related patches"
patch -s -p1 < "${DIR}/patches/devkit8000/0001-OMAP2-Devkit8000-Cleanup-for-power-supplies.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0002-OMAP2-Devkit8000-change-panel-to-generic-panel.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0003-OMAP2-Devkit8000-Enable-DVI-D-output.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0004-OMAP2-Devkit8000-Setup-LCD-reset.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0005-OMAP2-Devkit8000-Remove-unneeded-VDVI-supply.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0006-OMAP2-Devkit8000-Remove-non-existing-vsim-supply.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0007-OMAP2-Devkit8000-Remove-en-disable-for-tv-panel.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0008-OMAP2-Devkit8000-Using-the-REGULATOR_SUPPLY-macro.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0009-OMAP2-Devkit8000-Using-gpio_is_valid-macro.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0010-OMAP2-Devkit8000-Remove-unused-omap_board_config.patch"
patch -s -p1 < "${DIR}/patches/devkit8000/0011-OMAP2-Devkit8000-Fix-regulator-for-power-supply.patch"
}

dss2
musb
#vfp
micrel
zippy
xm
nand
sgx
dsp
panda
#btrfs
igepv2
devkit8000

echo "patch.sh ran successful"

